﻿using NUnit.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using LeapYearKata;

namespace LeapYearKata.Tests
{
    [TestFixture]
    public class YearTests
    {
        [Test]
        [TestCase(2001)]
        [TestCase(101)]
        [TestCase(2)]
        public void TypicalCommonYear_IsLeap_False(int year)
        {
            Assert.That(Year.IsLeap(year), Is.False);
        }

        [TestCase(2004)]
        [TestCase(2008)]
        [TestCase(2012)]
        public void TypicalLeapYear_IsLeap_True(int year)
        {
            Assert.That(Year.IsLeap(year), Is.True);
        }


        [TestCase(1900)]
        [TestCase(2700)]
        [TestCase(2100)]
        public void AtypicalCommonYear_IsLeap_False(int year)
        {
            Assert.That(Year.IsLeap(year),Is.False);
        }

        [TestCase(1600)]
        [TestCase(2000)]
        [TestCase(1200)]
        public void AtypicalLeapYear_IsLeap_True(int year)
        {
            Assert.That(Year.IsLeap(year), Is.True);
        }
    }
}
